Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IDPMSettingsHandler Class Reference

`#include <PluginCommon.hpp>`

List of all members.

## Public Member Functions
virtual | ~IDPMSettingsHandler ()
virtual int | FindItem (deString ItemLabel)=0
virtual BOOL | IsItemRoot (int Item)=0
virtual int | AddItem (IDPMSettingsItem *Item, deString *Value)=0
virtual int | AddItem (IDPMSettingsItem *Item, double Value)=0
virtual int | AddItem (IDPMSettingsItem *Item, int Value)=0
virtual int | AddItem (IDPMSettingsItem *Item, DWORD Value)=0
virtual IDPMSettingsItem * | GetItem (int Item)=0
virtual BOOL | GetItemValue (int Item, deString *Value)=0
virtual BOOL | GetItemValue (int Item, double *Value)=0
virtual BOOL | GetItemValue (int Item, int *Value)=0
virtual BOOL | GetItemValue (int Item, DWORD *Value)=0

## Constructor & Destructor Documentation

virtual IDPMSettingsHandler::~IDPMSettingsHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual int IDPMSettingsHandler::AddItem | ( | IDPMSettingsItem * | Item,
|  | DWORD | Value
| ) | `[pure virtual]`

virtual int IDPMSettingsHandler::AddItem | ( | IDPMSettingsItem * | Item,
|  | int | Value
| ) | `[pure virtual]`

virtual int IDPMSettingsHandler::AddItem | ( | IDPMSettingsItem * | Item,
|  | double | Value
| ) | `[pure virtual]`

virtual int IDPMSettingsHandler::AddItem | ( | IDPMSettingsItem * | Item,
|  | deString * | Value
| ) | `[pure virtual]`

virtual int IDPMSettingsHandler::FindItem | ( | deString | ItemLabel | ) | `[pure virtual]`

virtual IDPMSettingsItem* IDPMSettingsHandler::GetItem | ( | int | Item | ) | `[pure virtual]`

virtual BOOL IDPMSettingsHandler::GetItemValue | ( | int | Item,
|  | DWORD * | Value
| ) | `[pure virtual]`

virtual BOOL IDPMSettingsHandler::GetItemValue | ( | int | Item,
|  | int * | Value
| ) | `[pure virtual]`

virtual BOOL IDPMSettingsHandler::GetItemValue | ( | int | Item,
|  | double * | Value
| ) | `[pure virtual]`

virtual BOOL IDPMSettingsHandler::GetItemValue | ( | int | Item,
|  | deString * | Value
| ) | `[pure virtual]`

virtual BOOL IDPMSettingsHandler::IsItemRoot | ( | int | Item | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- PluginCommon.hpp